import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert Monaco editor semantic tokens to LSP semantic tokens.
 *
 * @param semanticTokensEdit
 *   The Monaco semantic tokens to convert.
 * @returns
 *   The semantic tokens as LSP semantic tokens.
 */
export declare function fromSemanticTokensEdit(semanticTokensEdit: monaco.languages.SemanticTokensEdit): ls.SemanticTokensEdit;
/**
 * Convert LSP semantic tokens to Monaco editor semantic tokens.
 *
 * @param semanticTokensEdit
 *   The LSP semantic tokens to convert.
 * @returns
 *   The semantic tokens as Monaco editor semantic tokens.
 */
export declare function toSemanticTokensEdit(semanticTokensEdit: ls.SemanticTokensEdit): monaco.languages.SemanticTokensEdit;
//# sourceMappingURL=semanticTokensEdit.d.ts.map