import type * as monaco from 'monaco-types';
import type * as ls from 'vscode-languageserver-protocol';
/**
 * Convert Monaco editsor semantic tokens edits to an LSP semantic tokens delta.
 *
 * @param semanticTokensEdits
 *   The Monaco semantic tokens edits to convert.
 * @returns
 *   The semantic tokens edits as an LSP semantic tokens delta.
 */
export declare function fromSemanticTokensEdits(semanticTokensEdits: monaco.languages.SemanticTokensEdits): ls.SemanticTokensDelta;
/**
 * Convert an LSP semantic tokens delta to Monaco editsor semantic tokens edits.
 *
 * @param semanticTokensDelta
 *   The LSP semantic tokens delta to convert.
 * @returns
 *   The semantic tokens delta as Monaco editsor semantic tokens edits.
 */
export declare function toSemanticTokensEdits(semanticTokensDelta: ls.SemanticTokensDelta): monaco.languages.SemanticTokensEdits;
//# sourceMappingURL=semanticTokensEdits.d.ts.map